/*
 * OSM NB API featuring ETSI NFV SOL005
 * This is Open Source MANO Northbound API featuring ETSI NFV SOL005. For more information on OSM, you can visit [http://osm.etsi.org](http://osm.etsi.org). You can send us your comments and questions to OSM_TECH@list.etsi.org or join the [OpenSourceMANO Slack Workplace](https://join.slack.com/t/opensourcemano/shared_invite/enQtMzQ3MzYzNTQ0NDIyLWVkNTE4ZjZjNWI0ZTQyN2VhOTI1MjViMzU1NWYwMWM3ODI4NTQyY2VlODA2ZjczMWIyYTFkZWNiZmFkM2M2ZDk) 
 *
 * OpenAPI spec version: 1.0.0
 * Contact: OSM_TECH@list.etsi.org
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package it.nextworks.lcm.nfvo.osm.rest.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.v3.oas.annotations.media.Schema;

import java.util.Objects;

/**
 * InstantiateNsRequestProvidernetwork1
 */

@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.JavaClientCodegen", date = "2022-03-04T13:48:18.253Z[GMT]")
public class InstantiateNsRequestProvidernetwork1 {
  @SerializedName("physical-network")
  private String physicalNetwork = null;

  @SerializedName("segmentation-id")
  private String segmentationId = null;

  public InstantiateNsRequestProvidernetwork1 physicalNetwork(String physicalNetwork) {
    this.physicalNetwork = physicalNetwork;
    return this;
  }

   /**
   * Get physicalNetwork
   * @return physicalNetwork
  **/
  @Schema(description = "")
  public String getPhysicalNetwork() {
    return physicalNetwork;
  }

  public void setPhysicalNetwork(String physicalNetwork) {
    this.physicalNetwork = physicalNetwork;
  }

  public InstantiateNsRequestProvidernetwork1 segmentationId(String segmentationId) {
    this.segmentationId = segmentationId;
    return this;
  }

   /**
   * Get segmentationId
   * @return segmentationId
  **/
  @Schema(description = "")
  public String getSegmentationId() {
    return segmentationId;
  }

  public void setSegmentationId(String segmentationId) {
    this.segmentationId = segmentationId;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    InstantiateNsRequestProvidernetwork1 instantiateNsRequestProvidernetwork1 = (InstantiateNsRequestProvidernetwork1) o;
    return Objects.equals(this.physicalNetwork, instantiateNsRequestProvidernetwork1.physicalNetwork) &&
        Objects.equals(this.segmentationId, instantiateNsRequestProvidernetwork1.segmentationId);
  }

  @Override
  public int hashCode() {
    return Objects.hash(physicalNetwork, segmentationId);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class InstantiateNsRequestProvidernetwork1 {\n");

    sb.append("    physicalNetwork: ").append(toIndentedString(physicalNetwork)).append("\n");
    sb.append("    segmentationId: ").append(toIndentedString(segmentationId)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}
